Bug 1496561 - cannot set f26-extras.xml as wallpaper
Summary: cannot set f26-extras.xml as wallpaper
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-27 18:52 UTC by robberphex
Modified: 2018-11-30 23:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:16:48 UTC
Type: Bug


Attachments (Terms of Use)

Description robberphex 2017-09-27 18:52:41 UTC
Description of problem:

When I open settings -> background,
the background (and lock screen) listed f26-extras.xml and f27-extras.xml without any preview image.
And, when I set background to f26-extras.xml the background become blue.

Version-Release number of selected component (if applicable):

f26-backgrounds-extras-base-26.2.7-2.fc27.noarch
f27-backgrounds-gnome-27.0.0-5.fc27.noarch
f27-backgrounds-extras-base-27.0.0-5.fc27.noarch
f27-backgrounds-extras-gnome-27.0.0-5.fc27.noarch
f26-backgrounds-base-26.2.7-2.fc27.noarch
f27-backgrounds-base-27.0.0-5.fc27.noarch
desktop-backgrounds-gnome-27.0.0-1.fc27.noarch
f26-backgrounds-gnome-26.2.7-2.fc27.noarch
f26-backgrounds-extras-gnome-26.2.7-2.fc27.noarch
gnome-backgrounds-extras-3.26.2-1.fc27.noarch
gnome-backgrounds-3.26.2-1.fc27.noarch
gnome-shell-3.26.0-1.fc27.x86_64

How reproducible:

goto settings -> background,
try select some dynamic background.

Steps to Reproduce:
1. goto settings -> background,
2. select f26-extras.xml as background (which means /org/gnome/desktop/background/picture-uri at gsettings become to `file:///usr/share/backgrounds/f26/extras/f26-extras.xml`)
3. and desktop background become blue. without any image, and isn't dynamic.

Actual results:

desktop background become blue

Expected results:

desktop background become image, and it's dynamic.

Additional info:


f26-extras.xml and f27-extras.xml has same situation at background.
( and I guess have same situation at lock screen)

Comment 1 Ben Cotton 2018-11-27 13:59:51 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 23:16:48 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.